package me.yeojoy.simplechat;

import android.app.ActionBar;
import android.app.Activity;
import android.os.Bundle;
import android.support.v4.view.ViewPager;

import me.yeojoy.simplechat.R;

public class MainActivity extends Activity {
    
    
    private ViewPager mViewPager;
//    private TabsAdapter mTabsAdapter;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        
        mViewPager = new ViewPager(this);
        mViewPager.setId(R.id.pager);

        final ActionBar bar = getActionBar();
        bar.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS);
        bar.setDisplayOptions(0, ActionBar.DISPLAY_SHOW_TITLE);

//        mTabsAdapter = new TabsAdapter(this, mViewPager);
//        mTabsAdapter.addTab(bar.newTab().setText("Chat by BaseAdapter"),
//                ChatActivity1.class, null);
//        mTabsAdapter.addTab(bar.newTab().setText("Chat by CursorAdapter"),
//                ChatActivity2.class, null);

        if (savedInstanceState != null) {
            bar.setSelectedNavigationItem(savedInstanceState.getInt("tab", 0));
        }
    }
    
    protected void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        outState.putInt("tab", getActionBar().getSelectedNavigationIndex());
    }
    
    /*
    public static class TabsAdapter extends FragmentPagerAdapter 
            implements ActionBar.TabListener, ViewPager.OnPageChangeListener {

        private Context mContext;
        private ActionBar mActionBar;
        private ViewPager mViewPager;
        private ArrayList<TabInfo> mTabs = new ArrayList<TabInfo>();
        
        public TabsAdapter(Activity activity, ViewPager pager) {
            super(activity.getFragmentManager());

            mContext = activity;
            mActionBar = activity.getActionBar();
            mViewPager = pager;
            mViewPager.setAdapter(this);
            mViewPager.setOnPageChangeListener(this);
        }
        
        public TabsAdapter(FragmentManager fm) {
            super(fm);
        }
        
        static final class TabInfo {
            private final Class<?> clazz;
            private final Bundle args;
            
            TabInfo(Class<?> clazz, Bundle args) {
                this.clazz = clazz;
                this.args = args;
            }
        }
        

        public void addTab(ActionBar.Tab tab, Class<?> clss, Bundle args) {
            TabInfo info = new TabInfo(clss, args);
            tab.setTag(info);
            tab.setTabListener(this);
            mTabs.add(info);
            mActionBar.addTab(tab);
            notifyDataSetChanged();
        }
        
        @Override
        public void onPageScrollStateChanged(int arg0) { }
        
        @Override
        public void onPageScrolled(int position, float positionOffset, int positionOffsetPixels) { }

        @Override
        public void onPageSelected(int position) { }

        @Override
        public void onTabReselected(Tab tab, FragmentTransaction ft) { }

        @Override
        public void onTabSelected(Tab tab, FragmentTransaction ft) {
            Object tag = tab.getTag();
            for (int i = 0, j = mTabs.size(); i < j; i++) {
                mViewPager.setCurrentItem(i);
            }
        }

        @Override
        public void onTabUnselected(Tab tab, FragmentTransaction ft) { }

        @Override
        public Fragment getItem(int position) {
            TabInfo info = mTabs.get(position);
            return Fragment.instantiate(mContext, info.clazz.getName(), info.args);
        }

        @Override
        public int getCount() {
            return mTabs.size();
        }
        
    }
    */
}
